// DSAddIn.h : header file
//

#if !defined(AFX_DSADDIN_H__6B4BD322_0C5B_4189_97B9_D424135D9B79__INCLUDED_)
#define AFX_DSADDIN_H__6B4BD322_0C5B_4189_97B9_D424135D9B79__INCLUDED_

#include "commands.h"

// {9383AB51-551F-4A4D-B4A2-35B6624E1511}
DEFINE_GUID(CLSID_DSAddIn,
0x9383ab51, 0x551f, 0x4a4d, 0xb4, 0xa2, 0x35, 0xb6, 0x62, 0x4e, 0x15, 0x11);

/////////////////////////////////////////////////////////////////////////////
// CDSAddIn

class CDSAddIn : 
	public IDSAddIn,
	public CComObjectRoot,
	public CComCoClass<CDSAddIn, &CLSID_DSAddIn>
{
public:
	DECLARE_REGISTRY(CDSAddIn, "OpenSourceFile.DSAddIn.1",
		"OPENSOURCEFILE Developer Studio Add-in", IDS_OPENSOURCEFILE_LONGNAME,
		THREADFLAGS_BOTH)

	CDSAddIn() {}
	BEGIN_COM_MAP(CDSAddIn)
		COM_INTERFACE_ENTRY(IDSAddIn)
	END_COM_MAP()
	DECLARE_NOT_AGGREGATABLE(CDSAddIn)

// IDSAddIns
public:
	STDMETHOD(OnConnection)(THIS_ IApplication* pApp, VARIANT_BOOL bFirstTime,
		long dwCookie, VARIANT_BOOL* OnConnection);
	STDMETHOD(OnDisconnection)(THIS_ VARIANT_BOOL bLastTime);

protected:
	CCommandsObj* m_pCommands;
	DWORD m_dwCookie;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DSADDIN_H__6B4BD322_0C5B_4189_97B9_D424135D9B79__INCLUDED)
