// IncludeDirs.cpp: implementation of the CIncludeDirs class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "OpenSourceFile.h"
#include "IncludeDirs.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

bool CIncludeDirs::Init()
{
	//
	// open registry
	// [HKEY_CURRENT_USER\Software\Microsoft\DevStudio\6.0\Build System\Components\Platforms\Win32 (x86)\Directories]
	// "Include Dirs"="C:\Dev\BuildConsole\SDKs\Include;C:\DevStudio\VC98\INCLUDE;C:\DevStudio\VC98\MFC\INCLUDE;C:\DevStudio\VC98\ATL\INCLUDE;C:\DEV\MSSDK\INCLUDE;C:\DEV\MSXMLPARSERSDK\INC;C:\DEV\ECM_40\WINNT\SOURCE\AGENT\CPP;C:\DEV\ECM_40\WINNT\SOURCE\COMMONAGTCOL\CPP;C:\DEV\ECM_40\WINNT\SOURCE\COLLECTOR\CPP"
	//
	CRegKey oKey;
	if ( oKey.Open( HKEY_CURRENT_USER, DIR_REG_PATH ) != ERROR_SUCCESS )
		return false;
	
	TCHAR szValue[1024];
	DWORD dwCount = 1024;
	if ( oKey.QueryValue( szValue, INCLUDE_DIR_REG_KEY, &dwCount ) != ERROR_SUCCESS )
		return false;

	CString strTemp;
	TCHAR* pToken = _tcstok( szValue, DELIMITER );
	while( pToken != NULL )
	{
		strTemp = pToken;
		if ( strTemp.GetAt( strTemp.GetLength() - 1 ) != '\\' )
			strTemp += "\\";
		
		m_aryIncludeDirs.Add( strTemp );
		
		pToken = _tcstok( NULL, DELIMITER );
	}

	return true;
}
